Bug 1175328 (powerdevil) - Review Request: powerdevil - Manages the power consumption settings of a Plasma Shell
Summary: Review Request: powerdevil - Manages the power consumption settings of a Plas...
Keywords:
Status: CLOSED RAWHIDE
Alias: powerdevil
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:57 UTC by Jan Grulich
Modified: 2015-01-30 17:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:42:48 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2014-12-17 13:57:53 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/powerdevil.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/powerdevil-5.1.1-1.fc21.src.rpm
Description: Manages the power consumption settings of a Plasma Shell
Fedora Account System Username: jgrulich

Comment 1 Miroslav Suchý 2014-12-27 14:23:29 UTC
License should be marked as:
  %license COPYING

I believe you can make better on %description :)

I am missing destop-file-install:
  http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Should
  %{_datadir}/doc/HTML/en/kcontrol/powerdevil
be marked as %doc ?

During build time:
Error: No Package found for plasma-workspace-devel

Comment 2 Rex Dieter 2014-12-27 16:24:24 UTC
No need for desktop-file-install, there are no .desktop files used for application menus (ie, nothing is installed under /usr/share/applications/...)

Comment 3 Rex Dieter 2014-12-28 14:52:10 UTC
And, fwiw,

using %license macro isn't documented in packaging guidelines, so I wouldn't go around recommending it's use... yet (unless you can provide references to work-in-progress packaging guidelines about it).

and stuff under %_docdir (aka %_datadir/doc) is automatically marked as %doc these days too.

Comment 5 Rex Dieter 2014-12-28 18:37:10 UTC
Sure, guidelines are coming, but haven't landed yet.   So, I'd urge that items that are not-yet-in-published guidelines to be considered review blockers.  (Unless it is published already, in which case, giving references to it would be appreciated)

Comment 6 Rex Dieter 2014-12-28 18:38:36 UTC
I think that came out wrong... :) to be clear, I mean that items not-yet-published in packaging guidelines should *not* be considered review blockers.

Comment 7 Jan Grulich 2015-01-02 15:43:36 UTC
Added better description. Regarding the build error, plasma-workspace-devel is not pushed to a review yet, but will be soon.

Spec URL: https://jgrulich.fedorapeople.org/plasma5/powerdevil.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/powerdevil-5.1.1-1.fc21.src.rpm
Description: Manages the power consumption settings of a Plasma Shell
Fedora Account System Username: jgrulich

Comment 8 Rex Dieter 2015-01-04 16:53:10 UTC
naming: ok

sources: ok
77b4c7c1b8978955333782221e9fae97  powerdevil-5.1.1.tar.xz

license: ok

1. SHOULD use better project url, suggest:
URL: https://projects.kde.org/projects/kde/workspace/powerdevil

2. SHOULD prefer/use
make install/fast DESTDIR=%{buildroot} ...
over
%make_install

3. SHOULD use %find_lang ... --with-kde ... to automatically pick up HTML handbooks

4. SHOULD consider -libs subpkg, to be multilib-friendly (so not entire powerdevil pkg gets multilib'd due to the included shlibs)

5. SHOULD drop unused (afaict)
BuildRequires: chrpath


Lots of should'd, but no must blockers, APPROVED.

Comment 9 Jan Grulich 2015-01-05 12:00:38 UTC
New Package SCM Request
=======================
Package Name: powerdevil
Short Description: Manages the power consumption settings of a Plasma Shell
Upstream URL: https://projects.kde.org/projects/kde/workspace/powerdevil
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC: kde-sig

Comment 10 Gwyn Ciesla 2015-01-05 12:58:49 UTC
WARNING: "kde-sig" is not a valid FAS account.

Comment 11 Jan Grulich 2015-01-05 13:05:11 UTC
New Package SCM Request
=======================
Package Name: powerdevil
Short Description: Manages the power consumption settings of a Plasma Shell
Upstream URL: https://projects.kde.org/projects/kde/workspace/powerdevil
Owners: @kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 12 Gwyn Ciesla 2015-01-05 15:11:04 UTC
WARNING: "@kde-sig" is not a valid FAS account.

Comment 13 Jan Grulich 2015-01-05 15:33:55 UTC
New Package SCM Request
=======================
Package Name: powerdevil
Short Description: Manages the power consumption settings of a Plasma Shell
Upstream URL: https://projects.kde.org/projects/kde/workspace/powerdevil
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 14 Gwyn Ciesla 2015-01-05 18:11:42 UTC
WARNING: "group::kde-sig" is not a valid FAS account.

Comment 15 Jan Grulich 2015-01-05 19:41:14 UTC
New Package SCM Request
=======================
Package Name: powerdevil
Short Description: Manages the power consumption settings of a Plasma Shell
Upstream URL: https://projects.kde.org/projects/kde/workspace/powerdevil
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 16 Gwyn Ciesla 2015-01-05 21:14:02 UTC
Git done (by process-git-requests).

Comment 17 Martin Kho 2015-01-30 17:03:36 UTC
Hi Jan,

FYI: The package powerdevil is not automatically installed with the rawhide update to plasma-5.

Martin Kho


Note You need to log in before you can comment on or make changes to this bug.